{ stdenv, lib, fetchFromGitHub }:

stdenv.mkDerivation rec {
  pname = "mpv-prescalers";
  version = "20211110";

  src = fetchFromGitHub {
    owner = "bjin";
    repo = "mpv-prescalers";
    rev = "cc02ed95c1fe05b72bc21d41257c4c085e6e409b";
    sha256 = "1gc1ka9i7xzxq58175q5svhvp8vr27hy477r4z4nkhp9q1cqj19d";
  };
  
  installPhase = ''
    find . -type f -iname '*.hook' -exec install -Dm 644 {} -t $out/usr/share/shaders/ \;
  '';
  
  meta = with lib; {
    description = "prescalers for mpv, as user shaders";
    homepage = "https://github.com/bjin/mpv-prescalers";
    license = licenses.gpl3;
    maintainers = [ ];
    platforms = platforms.all;
  };
}
